%global gem_name arel
Name:                rubygem-%{gem_name}
Version:             9.0.0
Release:             1
Summary:             Arel is a SQL AST manager for Ruby
License:             MIT
URL:                 https://github.com/rails/arel
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://github.com/rails/%{gem_name}/archive/v%{version}.tar.gz
Requires:            rubygem(bigdecimal)
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest) rubygem(bigdecimal)
BuildRequires:       rubygem(concurrent-ruby)
BuildArch:           noarch
%description
Arel is a Relational Algebra for Ruby. It 1) simplifies the generation complex
of SQL queries and it 2) adapts to various RDBMS systems. It is intended to be
a framework framework; that is, you can build your own ORM with it, focusing
on innovative object and collection modeling as opposed to database
compatibility and query generation.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
ln -s %{gem_name}-%{version}/test test
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
tar xf %{SOURCE1}
ruby -Ilib:test -e 'Dir.glob "./test/**/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 19 2020 shenleizhao <shenleizhao@huawei.com> - 9.0.0-1
- package init
